
-- CONFIGURATION ----------------------------------

local pet_actionbar = true
local shapeshift_bar = true	-- Shapeshift, Stance, Aspect, Presence, Metemorphosis and Aura bars
local bag_bar = true
local micro_menu = true
local chat_menu = true
local actionbar_paging = true
local minimap_buttons = true

-- END OF CONFIG ----------------------------------




-- SCRIPT FOR MOUSEOVER ---------------------------
-- Credit: Evl ------------------------------------

local enableMouseOver = function(frame, includeChildren)
	local show = function()
		frame:SetAlpha(1)
	end

	local hide = function()
		frame:SetAlpha(0)
	end

	if includeChildren then
			for _, child in ipairs({frame:GetChildren()}) do
				child:HookScript("OnEnter", show)
				child:HookScript("OnLeave", hide)
			end
		end

	frame:EnableMouse(true)
	frame:HookScript("OnEnter", show)
	frame:HookScript("OnLeave", hide)
	hide()
end




-- ENABLE MOUSEOVER ON FRAMES ---------------------
---------------------------------------------------


-- Actionbar paging buttons
if actionbar_paging then
	enableMouseOver(ActionBarUpButton, true)
end


-- Pet actionbar
if pet_actionbar then
	enableMouseOver(PetActionBarFrame, true)
end


-- Shapeshift bar
if shapeshift_bar then
	enableMouseOver(ShapeshiftBarHolder, true)
end


-- Bags
if bag_bar then
	enableMouseOver(BagHolder, true)
end


-- Micro menu
if micro_menu then
	enableMouseOver(MicroMenuHolder, true)
end


-- Minimap buttons
if minimap_buttons then
	enableMouseOver(GameTimeFrame, true)
	enableMouseOver(MiniMapTracking, true)
	enableMouseOver(MinimapZoomIn, true)
end


-- Chat buttons
if chat_menu then
	enableMouseOver(FriendsMicroButton, true)
	enableMouseOver(ChatFrame1ButtonFrame, true)
	enableMouseOver(ChatFrame2ButtonFrame, true)
	enableMouseOver(ChatFrame3ButtonFrame, true)
end